#pragma once

#include "CoreMinimal.h"
#include "Engine/DataAsset.h"
#include "UObject/SoftObjectPtr.h"
#include "UObject/NoExportTypes.h"
#include "MainMenuButtonsEventDataAsset.generated.h"

class UTexture2D;
class UUserWidget;

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API UMainMenuButtonsEventDataAsset : public UDataAsset
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UTexture2D> Icon;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftClassPtr<UUserWidget> EventDecorationWidget;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftClassPtr<UUserWidget> HighlightWidget;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FLinearColor EventButtonsTintColor;

public:
	UMainMenuButtonsEventDataAsset();
};

FORCEINLINE uint32 GetTypeHash(const UMainMenuButtonsEventDataAsset) { return 0; }
